
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_rosser --
//   Returns the Rosser - matrix.
// Arguments, input
//  n : the size of the matrix to return
// Reference
//  A handbook of numerical matrix inversion and solution of 
//  linear equations -- Joan R. Westlake
//
function m = makematrix_rosser ( )
  m = [
  611   196  -192   407    -8   -52   -49    29
  196   899   113  -192   -71   -43    -8   -44
  -192   113   899   196    61    49     8    52
  407  -192   196   611     8    44    59   -23
  -8   -71    61     8   411  -599   208   208
  -52   -43    49    44  -599   411   208   208
  -49    -8     8    59   208   208    99  -911
  29   -44    52   -23   208   208  -911    99
  ]
endfunction

